/*******************************************************************************
* File Name: buttons.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_buttons_H) /* Pins buttons_H */
#define CY_PINS_buttons_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "buttons_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 buttons__PORT == 15 && ((buttons__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    buttons_Write(uint8 value) ;
void    buttons_SetDriveMode(uint8 mode) ;
uint8   buttons_ReadDataReg(void) ;
uint8   buttons_Read(void) ;
uint8   buttons_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define buttons_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define buttons_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define buttons_DM_RES_UP          PIN_DM_RES_UP
#define buttons_DM_RES_DWN         PIN_DM_RES_DWN
#define buttons_DM_OD_LO           PIN_DM_OD_LO
#define buttons_DM_OD_HI           PIN_DM_OD_HI
#define buttons_DM_STRONG          PIN_DM_STRONG
#define buttons_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define buttons_MASK               buttons__MASK
#define buttons_SHIFT              buttons__SHIFT
#define buttons_WIDTH              8u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define buttons_PS                     (* (reg8 *) buttons__PS)
/* Data Register */
#define buttons_DR                     (* (reg8 *) buttons__DR)
/* Port Number */
#define buttons_PRT_NUM                (* (reg8 *) buttons__PRT) 
/* Connect to Analog Globals */                                                  
#define buttons_AG                     (* (reg8 *) buttons__AG)                       
/* Analog MUX bux enable */
#define buttons_AMUX                   (* (reg8 *) buttons__AMUX) 
/* Bidirectional Enable */                                                        
#define buttons_BIE                    (* (reg8 *) buttons__BIE)
/* Bit-mask for Aliased Register Access */
#define buttons_BIT_MASK               (* (reg8 *) buttons__BIT_MASK)
/* Bypass Enable */
#define buttons_BYP                    (* (reg8 *) buttons__BYP)
/* Port wide control signals */                                                   
#define buttons_CTL                    (* (reg8 *) buttons__CTL)
/* Drive Modes */
#define buttons_DM0                    (* (reg8 *) buttons__DM0) 
#define buttons_DM1                    (* (reg8 *) buttons__DM1)
#define buttons_DM2                    (* (reg8 *) buttons__DM2) 
/* Input Buffer Disable Override */
#define buttons_INP_DIS                (* (reg8 *) buttons__INP_DIS)
/* LCD Common or Segment Drive */
#define buttons_LCD_COM_SEG            (* (reg8 *) buttons__LCD_COM_SEG)
/* Enable Segment LCD */
#define buttons_LCD_EN                 (* (reg8 *) buttons__LCD_EN)
/* Slew Rate Control */
#define buttons_SLW                    (* (reg8 *) buttons__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define buttons_PRTDSI__CAPS_SEL       (* (reg8 *) buttons__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define buttons_PRTDSI__DBL_SYNC_IN    (* (reg8 *) buttons__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define buttons_PRTDSI__OE_SEL0        (* (reg8 *) buttons__PRTDSI__OE_SEL0) 
#define buttons_PRTDSI__OE_SEL1        (* (reg8 *) buttons__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define buttons_PRTDSI__OUT_SEL0       (* (reg8 *) buttons__PRTDSI__OUT_SEL0) 
#define buttons_PRTDSI__OUT_SEL1       (* (reg8 *) buttons__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define buttons_PRTDSI__SYNC_OUT       (* (reg8 *) buttons__PRTDSI__SYNC_OUT) 


#if defined(buttons__INTSTAT)  /* Interrupt Registers */

    #define buttons_INTSTAT                (* (reg8 *) buttons__INTSTAT)
    #define buttons_SNAP                   (* (reg8 *) buttons__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_buttons_H */


/* [] END OF FILE */
