/*******************************************************************************
* File Name: decode_tick.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_decode_tick_H)
#define CY_ISR_decode_tick_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void decode_tick_Start(void);
void decode_tick_StartEx(cyisraddress address);
void decode_tick_Stop(void);

CY_ISR_PROTO(decode_tick_Interrupt);

void decode_tick_SetVector(cyisraddress address);
cyisraddress decode_tick_GetVector(void);

void decode_tick_SetPriority(uint8 priority);
uint8 decode_tick_GetPriority(void);

void decode_tick_Enable(void);
uint8 decode_tick_GetState(void);
void decode_tick_Disable(void);

void decode_tick_SetPending(void);
void decode_tick_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the decode_tick ISR. */
#define decode_tick_INTC_VECTOR            ((reg32 *) decode_tick__INTC_VECT)

/* Address of the decode_tick ISR priority. */
#define decode_tick_INTC_PRIOR             ((reg8 *) decode_tick__INTC_PRIOR_REG)

/* Priority of the decode_tick interrupt. */
#define decode_tick_INTC_PRIOR_NUMBER      decode_tick__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable decode_tick interrupt. */
#define decode_tick_INTC_SET_EN            ((reg32 *) decode_tick__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the decode_tick interrupt. */
#define decode_tick_INTC_CLR_EN            ((reg32 *) decode_tick__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the decode_tick interrupt state to pending. */
#define decode_tick_INTC_SET_PD            ((reg32 *) decode_tick__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the decode_tick interrupt. */
#define decode_tick_INTC_CLR_PD            ((reg32 *) decode_tick__INTC_CLR_PD_REG)


#endif /* CY_ISR_decode_tick_H */


/* [] END OF FILE */
