/*******************************************************************************
* File Name: decode_timer.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_decode_timer_H)
#define CY_ISR_decode_timer_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void decode_timer_Start(void);
void decode_timer_StartEx(cyisraddress address);
void decode_timer_Stop(void);

CY_ISR_PROTO(decode_timer_Interrupt);

void decode_timer_SetVector(cyisraddress address);
cyisraddress decode_timer_GetVector(void);

void decode_timer_SetPriority(uint8 priority);
uint8 decode_timer_GetPriority(void);

void decode_timer_Enable(void);
uint8 decode_timer_GetState(void);
void decode_timer_Disable(void);

void decode_timer_SetPending(void);
void decode_timer_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the decode_timer ISR. */
#define decode_timer_INTC_VECTOR            ((reg32 *) decode_timer__INTC_VECT)

/* Address of the decode_timer ISR priority. */
#define decode_timer_INTC_PRIOR             ((reg8 *) decode_timer__INTC_PRIOR_REG)

/* Priority of the decode_timer interrupt. */
#define decode_timer_INTC_PRIOR_NUMBER      decode_timer__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable decode_timer interrupt. */
#define decode_timer_INTC_SET_EN            ((reg32 *) decode_timer__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the decode_timer interrupt. */
#define decode_timer_INTC_CLR_EN            ((reg32 *) decode_timer__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the decode_timer interrupt state to pending. */
#define decode_timer_INTC_SET_PD            ((reg32 *) decode_timer__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the decode_timer interrupt. */
#define decode_timer_INTC_CLR_PD            ((reg32 *) decode_timer__INTC_CLR_PD_REG)


#endif /* CY_ISR_decode_timer_H */


/* [] END OF FILE */
